package cz.moneta.test.dsl.oauth2.web;

import cz.moneta.test.harness.context.StoreAccessor;
import cz.moneta.test.harness.endpoints.oauth2.web.Oauth2WebEndpoint;
import cz.moneta.test.harness.support.web.CustomAction;
import cz.moneta.test.harness.support.web.WebFlow;

public interface Oauth2WebEcho extends WebFlow<Oauth2WebEcho>, StoreAccessor {
    String ECHO_PAGE_URL = "api/echo";

    @CustomAction
    default EchoPage callEcho() {
        Oauth2WebEndpoint endpoint = getEndpoint(Oauth2WebEndpoint.class);
        endpoint.changePath(ECHO_PAGE_URL);
        return null;
    }
}